#include "CObjMessageMove.h"


/* Constructeur */
CObjMessageMove::CObjMessageMove(int direction, int offset, int redrawobject)
				:CObjMessage(LINK_MOVE, redrawobject)
{
	this->direction = direction;
	this->offset = offset;
}

/* Destructeur */
CObjMessageMove::~CObjMessageMove()
{
	0;
}


/* Retourne la direction du move */
int CObjMessageMove::GetDirection()
{
	return (this->direction);
}

/* Retourne la valeur de l'écart du move */
int CObjMessageMove::GetOffset()
{
	return (this->offset);
}